require 'rails_helper'

RSpec.describe "settings/order_queue_stations/show", type: :view do
  before(:each) do
    @settings_order_queue_station = assign(:settings_order_queue_station, Settings::OrderQueueStation.create!(
      :station_name => "Station Name",
      :is_active => false,
      :processing_items => "",
      :print_copy => false,
      :printer_name => "Printer Name",
      :font_size => 2,
      :cut_per_item => false,
      :use_alternate_name => false,
      :created_by => "Created By"
    ))
  end

  it "renders attributes in <p>" do
    render
    expect(rendered).to match(/Station Name/)
    expect(rendered).to match(/false/)
    expect(rendered).to match(//)
    expect(rendered).to match(/false/)
    expect(rendered).to match(/Printer Name/)
    expect(rendered).to match(/2/)
    expect(rendered).to match(/false/)
    expect(rendered).to match(/false/)
    expect(rendered).to match(/Created By/)
  end
end
